// 导入必要的模块和库
import { createApp } from "vue";

// 导入 Pinia 状态管理库
import pinia from "./store/index";

// 导入 ElementPlus 及其 CSS
import ElementPlus from "element-plus";
import "element-plus/dist/index.css";

// 导入 ElementPlus 的中文语言包
import zhCn from "element-plus/es/locale/lang/zh-cn";

// 导入主应用组件和路由配置
import App from "./App.vue";
import router from "./router";

// 创建一个新的 Vue 应用实例
const app = createApp(App);

app.use(ElementPlus, { locale: zhCn }); // 使用 ElementPlus
app.use(router); // 使用路由
app.use(pinia); // 使用 Pinia 状态管理

// 挂载应用到具有 id 'app' 的 HTML 元素上
app.mount("#app");
